summaryrefslogtreecommitdiffstatshomepage
path: root/3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh
diff options
context:
space:
mode:
author Vas Crabb <cuavas@users.noreply.github.com>2023-12-11 10:48:02 +1100
committer GitHub <noreply@github.com>2023-12-11 10:48:02 +1100
commit05e69b43e9770e16c4bf1c6ca3e585e64c3f6ff9 (patch)
tree00ff2118ddc01455ee55785283a2fcfb9bfaf77e /3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh
parent1a4287925e3982e2f782dee6f62b198984b839de (diff)
Added Zstandard support for zip archives and CHDs. (#11827)
* 3rdparty/zstd: Added Zstandard compression library version 1.5.5. * util/unzip.cpp: Added support for Zstandard compression (method 93). * util/chdcodec.cpp: Added support for Zstandard compression. * 3rdparty/flac: Always define NDEBUG to avoid log spam.
Diffstat (limited to '3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh')
-rwxr-xr-x3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh b/3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh
new file mode 100755
index 00000000000..aeb74cf25eb
--- /dev/null
+++ b/3rdparty/zstd/tests/cli-tests/compression/multiple-files.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+set -e
+
+# setup
+echo "file1" > file1
+echo "file2" > file2
+
+echo "Test zstd ./file1 - file2"
+rm -f ./file*.zst
+echo "stdin" | zstd ./file1 - ./file2 | zstd -d
+cat file1.zst | zstd -d
+cat file2.zst | zstd -d
+
+echo "Test zstd -d ./file1.zst - file2.zst"
+rm ./file1 ./file2
+echo "stdin" | zstd - | zstd -d ./file1.zst - file2.zst
+cat file1
+cat file2
+
+echo "zstd -d ./file1.zst - file2.zst -c"
+echo "stdin" | zstd | zstd -d ./file1.zst - file2.zst -c